Bug 87702 - metacity hangs while RHN applet is working
metacity hangs while RHN applet is working
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-04-01 10:31 EST by David Balažic
Modified: 2007-04-18 12:52 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:40:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Balažic 2003-04-01 10:31:19 EST
Description of problem:

I did a fresh install of RHL9, logged in as root into GNOME and clicked on the
red Red Hat Network Alert Notification icon on the right side of the tool bar.
The wizard popped up and I finished it by clicking on NEXT each time ( I did not
enter any information ). Then I clicked with the right mouse button on the icon
and a menu appeared, where all entries were ghosted, except the last, "Exit".
But the something went wrong. When I moved the mouse pointer accross the screen,
it did not change shape ( there was a gnome-terminal, over which the pointer
should change to the I shape, but it did not ). Also clicking inside the
gnome-terminal did not make the gnome-terminal window active, typing on the
keyboard did not appear in the terminal window. Alt-TAB also had no effect.
After 10 or 20 seconds everything got back to normal.

Version-Release number of selected component (if applicable):
everything is from rhl9 ( Shrike ) :
metacity-2.4.34-3
rhnlib-1.0-4
rhn-applet-2.0.9-0.9.0.1


How reproducible:


Did not try to reproduce it yet.
Comment 1 Havoc Pennington 2003-04-01 12:48:44 EST
I don't think this is metacity, I think the kernel and/or X just get "stuck"
sometimes under heavy load.
Comment 2 Havoc Pennington 2003-10-03 17:54:58 EDT
I would say this is just general interactivity problems with rpm's IO load. 
Probably a lot better with newer kernels, but reassigning in case 
kernel guys want to add any comments.
Comment 3 Bugzilla owner 2004-09-30 11:40:43 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.